%global namedreltag -alpha-2
%global namedversion %{version}%{?namedreltag}
%define subrel 1

Name:          properties-maven-plugin
Version:       1.0
Release:       %mkrel 3
Summary:       Properties Maven Plugi
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/properties-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/properties-maven-plugin-1.0-alpha-2/
# tar czf properties-maven-plugin-1.0-alpha-2-src-svn.tar.gz properties-maven-plugin-1.0-alpha-2
Source0:       properties-maven-plugin-1.0-alpha-2-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-scm
BuildRequires: plexus-utils

BuildRequires: plexus-utils

BuildRequires: maven-plugin-cobertura

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The Properties Maven Plugin is here to make life a little easier when dealing
with properties. It provides goals to read and write properties from files.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n properties-maven-plugin-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 517740
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 378243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 28 2011 gil <gil> 1.0-1.mga2
+ Revision: 159033
- imported package properties-maven-plugin

